Skip to main content
POST
/
team
/
statistics
/
operating-systems
Get team endpoint operating system statistics
curl --request POST \
  --url https://api.wirespeed.co/team/statistics/operating-systems \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startDate": "<string>",
  "endDate": "<string>",
  "days": 123
}
'
{
  "operatingSystems": [
    {
      "operatingSystem": "<string>",
      "count": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
startDate
string

Start date (inclusive, ISO8601 string)

endDate
string

End date (inclusive, ISO8601 string)

days
number

Number of days for time-based filtering (1-365). Required by most endpoints unless startDate/endDate provided.

Response

operatingSystems
object[]
required

Operating system distribution statistics